Altium Modeler for SolidWorks Release Notes

******Very Important**********
1) This version will only run with the version of Altium Designer displayed during installtion. Check that you have the correct install file - the version displays on the first page of the installer wizard.
2) This product will only run with the version of SolidWorks it is compiled for (if the SolidWorks version you are using does not match the version shown during this install session, contact Desktop EDA to get the correct download link for your SolidWorks version)
******Very Important**********
3) All the commands can be invoked via the Workspace panel. To display the panel, click on the PCB button in the Altium Status Bar and choose Sw Modeler 201* from the menu that displays.
4) The Help and Getting Started Guide can be accessed in the SolidWorks Modeler sub menu in the PCB editor Help menu
 (It is also installed as a PDF file in:
 C:\Program Files\Altium\AD 1*\SwModeler\GettingStartedGuide.PDF)

5) Demos are installed to MyDocuments\SwModeler\Demos

6) These release notes are installed in the product folder

If you do not choose the installation defaults, you must copy the following files from where they were installed to the Altium Designer folder:
1) System\Buttons\*.bmp to Altium Designer ***\System\Buttons
2) Help\SwModeler.Hlp to Altium Designer ***\Help\ProtelSw.Hlp
3) Help\SwModeler.cnt to Altium Designer ***\Help\ProtelSw.cnt

Converting from Demo Mode to Licensed Mode
1) Go to the SolidWorks Modeler entry in the Help menu and choose About SW Modeler. This displays version information.
2) When you click OK, a dialog box displays that asks if you want to enter your license details.
3) Choose Yes and a text entry box displays where you can Paste in your License Number and Access Code. 

Product Removal
1) Exit Altium Designer
2) Go to Control Panel Add/Remove Programs, find the entry for this product and choose Uninstall

Note on Windows versions:
This product runs with Windows 7, 8 and 10

Note:
If you are using the feature that renames Parts with the Designator in the Feature Tree and it does not work, check this setting in SolidWorks:
Tools>Option>System Option>External References>Update Component Names - must be unchecked 

Any Footprints whose names contain these characters: \/"* will have these characters replaced with underscores in the SolidWorks part filename.
Build SolidWorks parts such that their origin is the same as their PCB component.

For more detail on using this program, refer to the SolidWorks Help command in the Help menu of the PCB Editor or use the Help button in the SolidWorks 3D Modeler Preferences dialogue box.

Note On selection
If any objects on a layer are selected, then only selected objects are exported to SolidWorks. Use this if you are only interested in a particular section, thus avoiding the wait required to finish a complete design. This applies to components, pads, tracks and component overlay.

Instructions for Incremental Upgrades
Desktop EDA will release incremental upgrades as required to fix bugs and to deliver new features. To install these upgrades, run the install file provided.

Release History:

V1.6.1 31 May 1999
Initial Release

V1.6.2 24 June 1999
Added Set up dialogue box. Saved user parameters in Registry.

V1.6.4 21 July 1999
Added Height editor in PCB - with message if no height info.

V1.6.5 30 August 1999
Fixed bugs in PCB Height Editor
Added ability to set the height in the PCB editor for components with no height string
Fixed Bugs in PCBLib Height Editor

V1.6.6 3 September 1999
Added check for  " in pcb component name - SolidWorks could not cope with " in the Part name

V1.6.7 10 September 1999
Add Outline checker to help locate breaks in the board outline

V1.6.8 25 September 1999
Fixed Rotation error for bottom layer components

V1.6.9 8 October 1999
Saved Blocks and Outline

V1.7.1 13 October 1999
Changed reference for placing parts
Added support for rotated fills in as cut outs
Fixed Rotation bug for block parts

V1.7.2 1 Nov 1999
Fixed bottom layer component rotation error (if first component located is on the bottom)

V1.7.3 27 Dec 1999
Fixed bug in Check Outline that was selecting Arcs which were OK

V1.8.0 17 Feb 2000
Improved accuracy of data being sent to SolidWorks to reduce errors related to extrusion failures.
Added option (set in Preferences) to fix continuity errors in the board outline.
Added option in preferences to set the location of the SolidWorks Library.
Changed how the Outline Layer is stored in the Registry (For consistency with other products).
Changed the directories where the SolidWorks board outline part and block parts are stored. Now they get put in the same directory as the PCB.
Fixed bug that caused no components to be placed if anything other than a component was selected.

V2.0.0 18 Feb 2000
Protel 99 SE Version

V2.1.0 29 Feb 2000
Modified the sequence of events so that parts get placed when they are opened and are them closed again to preserve resources.

V2.2.0 1 Mar 2000
Added Search sequence for Outline part and Block part - 1) Looks in Directory set in set up 2) Looks in SWorks

V2.4.0 3 Mar 2000
Further changes to reduce demand on resources

V2.5.0 9 Mar 2000
Fixed Edit Height in Library bug

V2.6.0 10 Mar 2000
Updated Edit Height in PCB dialogue box
Added Review Height feature
Fixed Block save location bug
Fixed exception on exit for Protel 99SE

V3.1.0 6-Sept-2000
SolidWorks 2000 certified version
Product reworked to use early binding COM Interface
Added colors options
Changed height storage method
Removed the Edit Heights In Library command as we can no longer store height info in the library
Added Height import/export
Added fix SW part feature
Added Update Heights command to copy Height in height string on mech4 to Height property

V3.2.0 8-Sept-2000
Added routine to find the top plane in the newly created part - to deal with users changing default planes

V3.2.1 19-Sept-2000
Added routine to check if components are fixed and re-fixes if not.

V3.2.2 3-Nov-2000
Changed the method for setting colour for the PCB substrate and Block parts - now done inside the part instead of in the assembly

V3.3.1 3-Dec-2000
Added import board outline from SolidWorks feature

V3.3.2 3-Jan-2001
Added Ref/SwComponent Name list in preparation for import of component placement information

V3.4.0 25-Jan-2001
Protel Service Pack 6 Release

V3.5.1 18-Feb-2001
Added export pads, vias and tracks feature
Added check to close pcb assembly if it is open before starting export

V3.5.1 4-Mar-2001
SolidWorks 2001 Release

V3.5.2 7-May-2001
Added feature to create component parts from the Component Outline Layer or the Component Overlay layer
Removed reference to the Local SolidWorks Path

V3.5.4 30-May-2001
Added full support for selection - pads, vias, tracks, overlay objects

V3.8.0 24-August-2001
Preliminary for Version 4

V4.0.0 29-August-2001
Initial release of Version 4

V4.0.1 29-Sept-2001
Removed Fix Component option - all parts get fixed
Added Getting Started Guide
Updated naming to 3D Modeler

V4.0.2 2-Oct-2001
Fix to storing of directory names - for re-use part bug

V4.0.3 12-Oct-2001
Improvements to Preferences file selection

V4.0.4 8-Nov-2001
Modified Preferences to only list enabled mechanical Layers

V4.0.5 29-Nov-2001
Improved Outline checking and fixing
Removed Fix Outline error option
Added command to the PCB Library editor for checking and fixing outline errors in PCB Components

V4.1.0 1-Dec-2001
Added Visible Option when running local
Removed arc stroking from outlining - now uses arcs if angle > 25 degrees
Added check for selected options before running Outlining check
Stopped doing pads with tracks when doing overlays
Added Renaming of SW Parts to use Protel Designators
Removed need for .BAL file for Update Component Locations

4.1.1 7-Dec-2001
If not objects in track or overlay layer, the temp document we not deleted - fixed
Added minimal defaults to registry during installation
Added default colour settings - via registry when program runs

4.1.2 14-Dec-2001
Fixed bugs in Update Board Outline part and Update Component Locations
Turned outlinelayer on if off for Update Board Outline

4.1.3 17-Dec-2001
Added option to delete objects on outline layer or exit for update board outline

4.2.0 30-Dec-2001
SolidWorks 2001 Plus release
Commoned the part name routine

4.2.1 9-Jan-2002
Fixed bug in Checkoutline caused by zero radius arcs with angle1 = 0 and angle 2 =360
Added new colours dialogue box to preferences
Added set hole by selection

4.2.2 4-Feb-2002
Fixed bug where parts were not closed if SW window maximised

4.2.3 22-Feb-2002
Fixed NT bug created with V2.2.2

4.2.4 26-Feb-2002
Improved the Overlays option for Text - no longer fails on capital Qs
Tweaked the tracks option
Fixes to selection on Check Outline

4.2.5 4-Mar-2002
Increased resolution of component height value
Required changes to Review Heights and Edit Component Height
Added Update All option to Edit Component Heights allowing user to change individual components

4.2.6 5-Mar-2002
Fixes to Update PCB Part - Top tracks bug and Polygon selection fixed
Fixed fill in component outline bug - but still not right for angles other than 0, 90, 180, 270

4.2.7 12-Mar-2002
Fixed NT/98 bug in update board outline
Added support for selected pads which includes pads with tracks when no tracks selected

4.2.8 19-Mar-2002
Fixes to component rotation bugs in Import
Added undo support for update component locations

4.2.9 9-Apr-2002
Fixed problem with tracks and overlays when PCB document is in a nested folder or at top level of the DDB

4.2.10 12-Apr-2002
Allowed Board and Copper thickness to be floating point number when imperial units set
Set tolerance of end point co-incidence on outlines to be zero
Fixed ArcY2 bug in Check component outline
Fixed selection bug for polygons - i.e. it was only doing polygons if they were selected

4.3.0 4-May-2002
Refined the tracks, pads and overlay option - no longer need to open and close part
Fixed Update outline part to work properly if you have exited Protel after creating the original assembly
Improvements to outline checking functions

4.3.1 17-May-2002
Added Summary Info to Created parts
Added Help to product toolbar

4.3.2 7-June-2002
Further improvements to accuracy of arc endpoints matching pad end points
Tidy up of tracks option message dialogs
Fixed exception when no component designator was empty
Modified check component outline to force it to only check objects in that component
Added more tidying up to check outline phase - no longer leaves problem docs lying around

4.3.3 13-June-2002
Added check for zero hole size when processing Mounting holes
Added Summary Info to PCB part and Assembly
Added Check for Design Explorer in Install program

4.4.0 19-June-2002
Added Do All Holes option
Added features for plated and non plated holes
Added extrusion checks for NT (ole) operation
Added option to continue with extrusion
Fixed Check component outline problem when components contained lines and arcs plus a fill
Added check for missing footprints

4.4.1 8-July-2002
Improved accuracy of outlining - fixed problem of extrusion failures

4.4.2 6-Aug-2002
Change to place tracks and circles using COM interface for Win2K and XP

5.0.1 21-Oct-2002
First Release for Version 5

5.0.2 14-Feb-2003
Fixed licensing problem

5.0.3 14-Apr-2003
Fix to created part colour problem
Minor changes to Import and update functions for DXP compatibility

5.0.4 4-May-2003
Initial DXP Release
Allowed dimensions on the board Outline Layer
Added Via Holes feature
More minor changes for DXP compatibility
Set Changed Flag for Synch SW Parts option
Improved undo support for Synch SW Parts option

5.0.5 20-May-2003
Updated new Sw document creation for compatibility with SW2003

5.0.6 2-June-2003
Formal DXP release
Fixes to Review Heights

5.0.7 14-June-2003
Fixed support for Text on copper layers

5.0.8 18-Aug-2003
Fix to selection for DXP check outline

5.0.9 8-Sept-2003
Further fix to Outlining of Overlay Text
Added check for Include pads on Update Pads and Vias
Fixed JumpToPcbDoc metric problem
Fixed Outline part configuration problems
Fixed Assembly configurations

5.6.1 12-Sept-2003
Added new reference plane for Holes
Improvements to configurations
Removed Objects from Polygon in Outlining problem documents

5.6.2 19-Sept-2003
Changed method of accessing sketches in Import functions for sw2004 compatibility
Added support for changing layer of components for Synch Protel components with Sw

5.6.3 6-Oct-2003
Fix to potential problem finding the PCB Outline in some languages

5.6.4 23-Oct-2003
Fixed AV that occurred if user continued when CheckSketchForExtrude returned a fail
Further changes for language independence

5.6.5 5-Nov-2003
Changed Colour settings in Registry to strings
Changed default colour settings
Added Default button to colour settings dialogue box
Suppressed display of min max height option when Assembly Configs unchecked

5.6.6 13-Nov-2003
Added Ordered SearchPath to 3D Part Libraries
More fixes to Configuration Settings
Added Hints to Prefs

6.0.0 14-July-2004
Version 6 release

6.0.1 26-July-2004
Fixes to Check outline Arc bug and fixes to outlining

6.0.2 3-Sept-2004
Fixes to Check Component Outline
Work Around for AV when running Width DRC in CheckForOutlining
Fix the Preferences AV
Fix to SynchtoSw selection and not finding new part

6.0.3 20-Sept-2004
Hide any planes created
Fix to Check Board Outline - eliminated round off error in arc intersection calculation

6.0.4 5-Oct-2004
Added support for background mode - to speed up outlining

6.0.5 16-Oct-2004
Fix to include bottom polygons in Update Board Part
Improvements to Status bar reporting

6.0.6 29-Nov-2004
Fix to Footprint Xref

6.0.7 18-January-2005
Added Parameters to Custom Properties feature
DXP2004 Service Pack 2 release

6.0.8 14-February-2005
Fix to Update Bottom Pads to Outline Part
For DXP2004 version, main export command changed to use DXP2004 check outline routine
Removed routine to convert outline polygon to free objects
Fix to Xref support for Synchronise SW Parts

6.0.9 16-February-2005
Added Stop option

6.1.0 25-February-2005
Added PDM support feature
Added Board Part Only command
Added support to Assemblies as Parts

6.1.1 28-February-2005
Small Arcs to line bug fix to Outliner

6.1.2 11-March-2005
Import from SolidWorks now only deals with Sketch Arcs and Lines
More outlining fixes

6.1.3 28-April-2005
Added create Component to Synchronise Protel with SW
Added check for Create Sketch on New Part

6.2.0 14-May-2005
DXP2004 Service Pack 3 release

6.2.1 2-Aug-2005
DXP2004 Service Pack 4 release

6.2.2 23-Aug-2005
Fix to Merge Bosses
SW2006 Release

6.2.3 15-Sept-2005
Fix to Update Outline Part for Via Holes

6.2.4 21-Sept-2005
Fix bug in import caused by a comma in the footprint name
Added Zero Length Tracks and Arcs check to PCBLIB outline checking
Added setting zero height footprint height to a default (0.1mm) so Extrude does not fail

6.2.5 4-Oct-2005
Removed need for quotes in Xref Table
Fix to Created Part Colours with PDM Support

7.0.0 21-Nov-2005 
Version 7 Beta

7.0.7 10-Feb-2006
Beta with bug fixes

7.0.8 15-Feb-2006
Beta with more bug fixes

7.0.9 2-Mar-2006
Fix to synch from PCB
Added Tracks and Arcs Outlining Option

7.0.10 7-Mar-2006
Added more exception checking to routine that closes temp. pcb in outlining

7.0.11 13 Mar 2006
Re-worked the outlining routines to eliminate catastrophic errors
Set tolerance for component co-ordinate checking in Synch PCB to a more reasonable value

7.0.12 12 Mar 2006
Added Create Component to Update
Fix to layer checking in Synch
More refinements to outlining

7.0.13 23 Mar 2006
Fixes to UpdateOutlinePart

7.0.14 3 April 2006
Added New PCB from Assembly command
Added support for Route Keepouts and Height Rules

7.0.15 5 April 2006
More fixes to Outlining
Gradient check for outlining text

7.0.16 7 April 2006
Added segment to outlining with DoPadsWithTracks option to fix problem when track with same as pad width

7.1.0 8 April 2006
Release Version

7.1.1 21 April 2006
Fix to Pad selection error
Fixes to minor message panel message errors
Added Failed to add Attribute message to message panel report

7.1.2 29 April 2006
Minor bug fixes

7.1.3 11 May 2006
Fixes to Update
Fix to checking for AttDef
Fix to obscure selection on multiple layers issue

7.1.4 7 June 2006
Minor Revamp to outlining filtering

7.2.0 20 July 2006
Altium Designer 6.3 Release
Fix to Des List for PDM Support
Added support for square and slotted holes
Adding command to list missing SolidWorks Parts
Added support for square and slotted mounting holes

7.2.1 4 Aug 2006
Fix to Component Outline Layer bug
Comp Outline Check no longer checks graphical components

7.2.2 10 Aug 2006
Fix to settings Comp Outline Layer if layer does not exist
Added square and slotted hole support for Import

7.2.3 14 Aug 2006
Added feature to map Sw Rectangles to Fills and Shapes without arcs to Regions
Added feature to map Fills to Sw Rectangles
Added additional commands to the File menu
Refactored element placement routines
Changed thickness of Keepout Extrudes to 35uM
Added exception handling for PDMWorks login
Fixed field clearing if user cancels browse for PDMWorks project

7.2.4 7 Sept 2006
Tidied up Message Panel log
Fixes to Check Outline
Added Small Arcs Check to outlining
Added Same Origin, same radius checks to outlining
Fix to PDM Works option disabling Assembly Path Field in Prefs

7.2.5 10 Sept 2006
Added Assembly Directory Check Box
More fixes to Comp Outline settings in Prefs
Added specific Sw release message

7.2.6 3 Oct 2006
Added check for pads with black designator in Set Selected Pads as MH
Added Percent Bar to Check Component Outline
More outlining enhancements
Fix to leaving temp pcb docs open
Fix to Update Board Outline

7.2.7 12 Oct 2006
Fix such that all the Update Board Outline functions find the Board Outline part using attributes
Fix to setting the width of Board Outline tracks and arcs in update board outline

7.2.8 30 Oct 2006
Fixes to Silk Screen Outlining bugs
Mods to allow the user to re-name the Assembly and the Board Outline part

7.2.9 17 Nov 2006
Updates to Status Log
Added option to do individual outline checks
Improved writing to messages panel

7.2.10 8 Jan 2007
Modified New PCB from SolidWorks command to create a PCB from a Part as well as an Assembly
Fixed re-ordering bug for vias on update outline part
Fix to Part Xref data creation

7.2.11 26 Jan 2007
Fix to overlap check on outlining
Added Reset button to the Outining section of Prefs
Fixed outlining bug - failed to join the Arcs in Capital B
Fixed Synch Components Assembly Mdoc bug
More refinements to outlining
Changed to AD6.6 RTL

7.2.12 12 March 2007
Bug fixes from SWW07
Added arc support for Get Keepouts from Sw
Added Import Pads Command

7.2.14 16 April 2007
Added RoundRectangular pad support for Export and Import

7.2.15 22 May 2007
More fixes to Import Pads

7.2.16 6 June 2007
Fix to Import Pads - bottom layer
Added Orientation test to Import
Added Orientation to Status Log

7.2.17 16 June 2007
Fix to PDM Works part copying bug
Fix to Height Rule Import

7.2.18 22 July 2007
Fix to Oval Pads

7.2.19 7 Aug 2007
Added @ as non allowable character in files names for Parts

7.3.0 5 Oct 2007
SW2008 compile

7.3.1 31 Oct 2007
Fix to Report from LSM
Fix to Xref not updating placement list after edit

7.3.2 16 Nov 2007
Fix to Height Import and Export

7.3.5 23 Jan 2008
Fix to importing first rectangle as tracks instead of fill

7.3.7 22-Feb-2008
Fix to Update Board Outline

7.3.8 7-Apr-2008
Stopped using Comp.BoundingRectNoNameComment - was not recturning correct data
Added check for duplicate UniqueIds - for Attribute name
Fix for Board Shapecircular PCB's

7.3.9 12-Apr-2008
Fix to update Footprint parameter in Sych Sw Parts

7.3.10 28-May-2008
Fix to PDM Support for Update
Added version to Prefs caption

7.3.11 5-Jun-2008
Added Update from attributes
Moved scaling to PlacementLists

7.3.12 6-Jun-2008
Fix to scaling bug for Sw Sw parts with AD

7.3.14 26-Jun-2008
Improved display of PDMW sub-projects in ListView in Prefs

7.3.15 30-Jul-2008
Fix to Bottom Layer vias when outlining checked

7.3.16 11-Aug-2008
Added check if Part exists for Copy from PDMW Vault

7.3.17 19-Aug-2008
Fix to importing Bottom Pads, Keepouts and Height from SolidWorks when using Top Orientation

7.3.20 10-Oct-2008
Fix to via pads
Added Assembly data support

7.3.21 15-Oct-2008
Added check for .Designator when convert special strings is on

7.3.22 24-Oct-2008
Assembly data fix

7.3.23 19-Nov-2008
Added extra logging to Outlining

8.0.0 5-Jan-2009
Build for Sw2009 and AD W09

8.0.1 12-Jan-2009
Fix to Board thickness from LSM for 2 layer LAyer Pare PCBs
Fix to Prefs Help button

8.0.2 14-Jan-2009
Added Document parameter support

8.0.3 15-Jan-2009
Fix to copper thickness for LSM
Fix to component silk screen tracks getting reduced by the tear drop reduction code

8.0.4 19-Jan-2009
Update to restore tear drops if width reduced

8.0.5 22-Jan-2009
Add Gap Error Objects to Message Panel with Browse
Fixes to Solid Polyson outlining

8.0.6 25-Jan-2009
Fix to Prefs Av's
Move bug fixes

8.0.7 27-Jan-2009
Fix to Board Shape offset

8.0.8 27-Jan-2009
Fix to Teardrop AV
Added Message Panel Browse for outlining errors

8.0.9 29-Jan-2009
Increased small track filtering value for Solid polygons to .4 mil
Sw2007 build

8.0.10 30-Jan-2009
Rolled back Solid Polygons change in 8.0.9

8.0.11 9-Feb-2009
Improved copy board shape in outlining unit
Added option to use Sketch fonts for True Type fonts
Fixed Selection bug in outlining code

8.0.12 2-Mar-2009
Fix to Re-Use Auto Parts
Fix to Auto Part shape creation at unusual angles

8.0.14 27-Mar-2009
Fix to Error in Board thickness form LSM in Prefs for 2 layer pcbs

8.0.15 30-Mar-2009
Removed multiple part searches in building Placement List

8.0.16 6-Apr-2009
Fix to Drilled Hole Update

8.0.17 1-May-2009
Fix to Outline layer index bug

8.0.18 6-May-2009
Fix to Arc stroking in cut-out creation when end angle = 0

8.1.0 12-May-2009
Added Panel

8.1.1 14-May-2009
Added Stop button to Panel

8.1.2 15-May-2009
Tweeked filtering for Solid Polygon outlining

V8.1.3 20-May-2009 
Panel Added
Fix to Update to Sw Bug
Removed notifications in Message Panel

V8.1.4 20-May-2009 
Fix to Panel Units

V8.1.5 10-Jun-2009 
Added Multiplayer Mode
Fixes to Panel
Suppressed Sketch Display

V8.1.6 11-Jun-2009 
Added Multilayer Mode
Changed Outline Layer setting to use ordinal of layer
Exposed Show All button on Xref form

V8.1.7 12-Jun-2009 
Re-worked adding parameters as custom properties

V8.1.8 23-Jun-2009 
Added support for cylinders and spheres in bodies
Added support for colour and opacity for bodies
implemented use of colour property on outline lists
Fix to Update missing vias
Fix to re-order of features for vias

V8.1.8 25-Jun-2009 
Added support for cylinders and spheres in bodies
Added support for colour and opacity for bodies
implemented use of colour property on outline lists
Fix to Update missing vias
Fix to re-order of features for vias

V8.1.9 29-Jun-2009 
Bug fixes for bodies

V8.1.10 30-Jun-2009 
Fixes to Body Cylinders and Spheres

V8.1.11 16-Jul-2009 
Fix to Variant configs

V8.1.12 17-Jul-2009 
Language independent fix to Variant configs

V8.1.14 20-Jul-2009 
Language independent fix to adding Document Custom properties

V8.1.15 21-Jul-2009 
Added check for Doc Custom properties  update existing custom properties
Fix AV in previous build

V8.1.16 19-Aug-2009 
Fix to Xref Show All
Added Use Part Configs to Panel
Added right Anchors for Edit fields

V8.1.17 01-Sep-2009 
Summer 09 Build

V8.1.18 19-Sep-2009 
Sw2008 Summer 09 Build
Fix for Via low and high layer

V8.1.19 24-Sep-2009 
Added Step Model support

V8.1.20 25-Sep-2009 
Added option to use Colours from Altium View Confurations

V8.2.0 30-Sep-2009 
Help updated
More feedback in Message Panel
Fix to Classic orientation part from body command
Added support of offset pads

V8.2.1 05-Oct-2009 
Bug fixes to Step file loader

V8.2.2 07-Oct-2009 
Using new Select Folder dialog
Added xprobe to Show Part Usage and Step file message panel lists
Added view WE folder to Step and Part Folder fields
Set Reg entry when OK on Step folder and Part Search Path
Added check for round rect pads with zero corner radius

V8.2.3 12-Oct-2009 
Sw2010 build
Fix to S09 cut out bug

V8.2.4 21-Oct-2009 
Fix to Update Sw Parts from AD
Added Xprobe to various message Panel reports

V8.2.5 23-Oct-2009 
Fixes to Step file loading
Fixes to Step file conversion

V8.2.6 26-Oct-2009 
Fix to Assembly Data functions

V8.2.7 27-Oct-2009 
Fix to Circular copper Pads bug

V8.2.8 12-Nov-2009 
Fix to blank designator bug
Sw2010 W09 and W09 build

V8.2.9 25-Nov-2009 
Tidy up Multilayer Mode

V8.2.10 04-Dec-2009 
Added PCB Lib Panel
Added Body functions
Fixes to cylinders in rotated parts
Updates to Help

V8.2.11 08-Mar-2010 
Fixes to Classic orientation Add Step models
Refactoring of Height rules
Fixes to convert Step files

V8.2.12 18-Mar-2010 
Fix to Part Searching

V8.2.14 19-Mar-2010 
Fixes to Placement Update and Compare
Refactoring of Pads and Vias

V8.2.15 22-Mar-2010 
Fix to Xref config when no part info in Xref file

V8.2.16 23-Mar-2010 
Added validation of input to Board thickness and Copper thickness

V8.2.17 01-Apr-2010 
Fix to zero board thickness when Build Up stack up selected in LSM
Further fix to Part Search

V8.2.19 08-Apr-2010 
Removed cut-outs from Board shape in temp pcb for outlining

V8.2.20 09-Apr-2010 
Fixed persistence for Use PDMW cb

V8.2.21 10-Apr-2010 
fix to Auto pats not getting created

V8.2.22 14-Apr-2010 
Fix to bottom Keepouts failing to extrude
Sped up reading part data from Sw
Fixes to adding custom properties
Added more error xprobing

V8.2.23 21-Apr-2010 
Fix to index out of bounds error in Update

V8.2.24 22-Apr-2010 
More fixes to index out of bounds error

V8.2.25 27-Apr-2010 
Improved method of getting att def
in Assembly  Report, added No Board Outline message
Added Hour glass to PCB tools Part commands
Improved Status Bar messages for Update

V8.2.26 28-Apr-2010 
Fix to Export att def bug

V8.2.27 04-May-2010 
Fix to Compare placement when component deleted from PCB

V8.2.28 04-May-2010 
Fix to Sw2008 W09 build

V8.2.29 05-May-2010 
Fix to float point error error message when editing Board Thickness on Panel
Removed Help router from Height Editor

V8.2.30 07-May-2010 
Rationalised the buidling of Parts with many extrusions  built from Bodies

V8.2.31 17-May-2010 
Added support for Splines
Re-factored Sketch Export
Added reporting of un-supported elemenst to Sketch export

V8.2.32 20-May-2010 
Added Part selection by comment
Added thickness to Update Board Outline
Fix to Bodies from Part (but more tested needed)

V8.2.33 22-May-2010 
Added moving bottom parts if the board thickness has changed

V8.2.34 24-May-2010 
Full support for Change Board Thickness
Added Custom Properties Report
Added Update Feature Tree Display
Added moving bottom parts if board thickness changes

V8.2.35 26-May-2010 
Added Copper thickness to update
Added Deslist support for Comment part Selection

V8.2.35 27-May-2010 
Added z value to Pcb Tools show part data
Corrections to Cylinder body handling - to ignore irrelevant rotations

V8.2.36 07-Jun-2010 
Added support for Sketch Text for all text on the PCB
Enhanced Bodies form Extrudes to support Classic and extrudes at all orthogonal orientations

V8.2.38 18-Jun-2010 
Added Grouping to Sketch text features
Fixes to Sketch text rotations
Added Board Shape check and fix

V8.2.39 21-Jun-2010 
Further fix to Board Shape correction

V8.2.40 23-Jun-2010 
Fix to PDM Works feature

V8.2.41 24-Jun-2010 
Fix to Folder Browser Start Folder

V8.2.42 02-Jul-2010 
Added Sw Version specific reg settings

V8.2.43 08-Jul-2010 
Added convert cut out lines to arcs
Added Force rebuild to Board outline sketch building
Fixes to Update bugs
Improved arc handling
Improved board shape checks

V8.2.44 12-Jul-2010 
Added new Height Editor

V8.2.45 13-Jul-2010 
Fixes to PdmWorks Vault Reg settings

V8.2.46 15-Jul-2010 
More fixes to Pdmw Vault Reg settings

V8.2.47 21-Jul-2010 
Refactor of code for Assembly Variants

V8.2.48 22-Jul-2010 
Fix to code for Assembly Variants

V8.2.49 04-Aug-2010 
Fixed Layer object not returning correct copper thickness

V8.2.50 09-Aug-2010 
Fixes to Multi-layer mode
Turned off Multi-layer configs

V8.2.51 11-Aug-2010 
Fixes to Planes support for Multi-layer mode

V8.2.52 12-Aug-2010 
Fix to Multilayer mode layer offset bug

V8.2.53 14-Aug-2010 
Increased HiKey for licence number

V8.2.54 17-Aug-2010 
Fix Xref with for Part Configs
Fix to Silk Screen text if grouping fails

V8.2.55 24-Aug-2010 
Added zero length object check to Cut Outs

V8.2.56 03-Sep-2010 
Fix to Part search bug with Part in same folder as assembly
Modified Check for missing parts

V8.2.57 13-Sep-2010 
Fix to New PCB from Sw command

V8.2.58 17-Sep-2010 
Fix to handle circular cut outs
Added bodies to components created in update or new pcb from Sw

V8.2.59 21-Sep-2010 
Fix to True Type Font height with Sketch Text option

V8.2.60 28-Sep-2010 
Added Virtual Sw BOM

V8.2.61 18-Oct-2010 
Fix to Update Non-Plated Mounting Holes

V8.2.62 21-Oct-2010 
Fix to opening assembly in Part Xref with configs

V8.2.63 02-Nov-2010 
Stopped Polygon cutouts form being included with tracks

V8.2.64 04-Nov-2010 
Added experimental Part from Param option

V8.2.65 05-Nov-2010 
Added Sch Parameter Part Selection option

V8.2.66 22-Nov-2010 
Big fix to Part Select by Param option
Added display of Part Selection Param Name

V8.2.67 26-Nov-2010 
Build for Sw2011

V8.2.68 09-Dec-2010 
Added DesList custom property for Variants feature
Increased SolidScreen thickness to 0.002in above copper

V8.2.69 13-Dec-2010 
Fix to UsePdmwVault feature

V8.2.70 15-Dec-2010 
More fixes for DesList with Variants

V8.2.71 03-Feb-2011 
Bug fixes to PDM Support

V8.2.72 08-Feb-2011 
Improvements to Lines only outlining

V8.2.73 24-Feb-2011 
Fix to Lib Ref Part selection option

V8.2.74 25-Feb-2011 
Fix to PcbLib Panel causing exceptions on Dxp startup

V8.2.76 02-Jun-2011 
Build for changes to common dialogs

V8.2.77 28-Jul-2011 
Fix to Loading Sw Comps with custom properties for Update
Fix to DesList by Comment bug

V8.2.78 23-Sep-2011 
Added trace retraction for traces option

V8.2.79 26-Sep-2011 
Improved Font matching
Removed Stroke TT font option

V8.2.80 16-Dec-2011 
Sw2012 Build for S09 and W09
Fix to font matching for tt fonts in Sketch text

V8.2.81 19-Dec-2011 
Fix to PCB Tools Assign PCB Outline
Fix to Update Cutouts
Fix to Update Mounting Holes
Fix to Layer to Assembly - botton layer

V8.2.82 06-Jan-2012 
Fix to stroke text size
Fixed damaged PCB LIb Pabel - but not controls on it yet
New show commands for PCB tools

V8.2.83 11-Jan-2012 
Replaced Grid on PCB Library Panel - previous grid was crashing Altium

V8.2.84 18-Apr-2012 
Fixed Text size bug in Sketch element grouping code

V8.2.85 19-Apr-2012 
Fix to longer text dropping last character

V8.2.86 15-May-2012 
Added support for Bold and Italic for Sketch Text

V8.2.87 21-Jul-2012 
Added abaility adjust text size by font name

V8.3.0 23-Nov-2012 
Build for AD10/12

V8.3.1 27-Nov-2012 
Fixes to installer

V8.3.2 28-Nov-2012 
Added Sw2013 Build
Added Controller and DT01 demos

V8.3.3 01-Dec-2012 
Set AD install folder from Registry

V8.3.4 10-Dec-2012 
Changed over to HTML Help

V8.3.5 12-Dec-2012 
Fix to check board Outline

V8.3.6 29-Jan-2013 
Added Use Polygon Clipper checkbox

V8.4.0 06-Mar-2013 
AD13 Build

V8.4.1 08-Mar-2013 
AD13 Build for Sw2007

V8.4.2 12-Mar-2013 
Fix to Sw2012 bug

V8.4.3 13-Mar-2013 
Fix to Use LSM
Fix to Variants to Configs feature
Fix to Calcalation of bounding rect used for AutoParts with no outline

V8.4.4 15-Mar-2013 
Added Placement check to Synch Sw Comps
Disabled UsePolygon Clipping check box

V8.4.5 18-Mar-2013 
Replaced PartXerf form
Fix to delay when changing Panel Tabs (due to issue reading Reg)

V8.4.6 19-Mar-2013 
New version of SDK
Tidied up start of synch process

V8.4.7 27-Mar-2013 
Added Sw document viewer

V8.4.8 27-Mar-2013 
Fix to Help links


V8.4.9 28-Mar-2013 
Fix to Sw Viwer for Sw2012

V8.4.10 28-Mar-2013 
Temporarily removed viewer

V8.4.11 01-Apr-2013 
Bug fixes to Xref file functions

V8.4.12 03-Apr-2013 
Fixes to Step model commands

V8.4.13 08-Apr-2013 
Fix to security

V8.4.14 23-Apr-2013 
Replaced Panel tab control and Outlining Check button

V8.4.15 01-May-2013 
Fix the Xref Editor form

V8.4.16 08-May-2013 
Build to fix av for Xref Editor and PCB Tools Part commands

V8.4.17 08-May-2013 
Fix to AV while placing pads
Further fix to AV for Eref editor


V8.4.18 13-May-2013 
Fix to Colour dialog causing crash


V8.5.0 20-May-2013 
Build for AD13.2.5
Replaced Lib Panel Grid
Stroke Text partially fixed - waiting for fix form Altium


V8.5.0 20-May-2013 
Build for AD13.2.5
Replaced Lib Panel Grid
Stroke Text partially fixed - waiting for fix form Altium


V8.5.0 20-May-2013 
Build for AD13.2.5
Replaced Lib Panel Grid
Stroke Text partially fixed - waiting for fix form Altium

V8.5.1 21-May-2013 
Build for SDK B28391

V8.5.2 22-May-2013 
Fix to copper pour naming

V8.5.3 03-Jun-2013 
removed hints from Xerf form buttons to prevent crash

V8.5.4 06-Jun-2013 
Removed hint from PDM Project label edit box text - who put it there?

V8.5.5 07-Jun-2013 
Removed hint from PDM Vault Viewer form

V8.5.6 10-Jun-2013 
Re-instated buttons for PDMW option
Add PCB Features folder
Corrected board outline feature name
Fix to Lines to arcs routine

V8.5.7 11-Jun-2013 
Added more PDMWorks reporting
Fix to Update Holes

V8.5.8 12-Jun-2013 
Improved reporting for PDMW Support

V8.5.9 12-Jun-2013 
Added exception trapping to isolate problem some users have with creating assembly (but can create board outline)

V8.5.10 12-Jun-2013 
Added exception trapping to Feature Tree Operation on Place Parts

V8.5.11 13-Jun-2013 
Added exception trapping for place outline part

V8.5.12 13-Jun-2013 
Fix to Part Xref with Configs form

V8.5.13 14-Jun-2013 
Added Alternate methid of placing board outline part

V8.5.14 14-Jun-2013 
Restored to original part placement but with refactoring

V8.5.15 14-Jun-2013 
Further refactoring for Board Outline part placement

V8.5.16 27-Jun-2013 
Fix to bottom layer features being missed

V8.5.17 28-Jun-2013 
Fix to crash after board outline placed - experienced by 2 users

V8.5.18 01-Jul-2013 
Build after changes to fix crash issue

V8.6.0 01-Jul-2013 
First build with new licensing

V8.6.1 01-Jul-2013 
Added version number to Sw2013 installer

V8.6.2 04-Jul-2013 
Build to fix common Ad interface issue

V8.6.3 21-Jul-2013 
All processes on
Polygon clipping cb disabled
Jump to PCB DOc fixed

V8.6.4 24-Jul-2013 
Final Builder UTF-4 issues resolved

V8.6.5 24-Jul-2013 
Fix to common PCB3dData form damage

V8.6.6 27-Jul-2013 
Restored Tool tips to PCB Panel Buttons
Added Assign Board Outline to PCB tools assembly commands on Panel
Added BypassAssignBoardOutlineAttibutes option

V8.6.7 29-Jul-2013 
BypassAssignBoardOutlineAttibutes options bypassed

V8.6.8 30-Jul-2013 
Bug fixes to Lib commands
Fixes to demos

V8.6.9 05-Aug-2013 
Added Stand alone licensing

V8.6.10 08-Aug-2013 
Added Node Locked Licensing via MAC Address

V8.6.11 12-Aug-2013 
Fix to assigning Attributes bug
Added nodelocked trial support

V8.6.12 19-Aug-2013 
Fix to node locked execution test

V8.6.12 23-Aug-2013 
Fix to node locked execution test

V8.6.13 30-Aug-2013 
Implemented Polygon Clipping option for PCB features

V8.6.14 06-Sep-2013 
Bug fixes to stroke font text for old outlining
Bug fixes for Polygon clipping Silk Screens and Text

V8.6.15 09-Sep-2013 
Improvements to Polygons
Improvements to Text handling
Multi-layer mode restored

V8.6.17 16-Sep-2013 
Improvements to Text outlining

V8.6.18 20-Sep-2013 
Further improvements to Stroke Text Outlining
Fix to bugs in Outline to SolidWorks (bottom layer, color, extrude dir)
Fix to Update Board Outline when Outline Layer used

V8.6.19 23-Sep-2013 
Fixes to Multi-layer mode layers, pads, vias working - tracks and polygons still need work

V8.6.20 24-Sep-2013 
Fix to cuts being included in outlining

V8.6.21 30-Sep-2013 
Fix to compare placement incorrectly reporting missing parts
Fix Update form not remembering 2 check box settings
Improvements to Multilayer mode
Improvements to stroke text outlining
Improvements to polygon outlining
Fix to display of Getting Started Guide
Fix to Part Xref with configs form

V8.6.22 01-Oct-2013 
Further improvements in outlining for traces and text

V8.6.23 02-Oct-2013 
Fix to writing to Message Panel on panel tab change

V8.6.24 03-Oct-2013 
Further fixes to Multi-layer mode

V8.6.25 09-Oct-2013 
Fix to bug in Outline Temp doc check
Fix to Silk Screen colour

V8.6.26 10-Oct-2013 
Updated saving of Assembly to avoid interface not suported error message

V8.6.27 14-Oct-2013 
Improved Board Shape gap error correction
Added dynamic creation of edrawing component to Panel

V8.6.28 18-Oct-2013 
Update to sketch text height and width factors in registry
Date report in About formatted for local setting

V8.6.29 21-Oct-2013 
Change to Update Placement from Assembly to avoid deleting components in the PCB that do not exist in the assembly
Update Feature Mgr Footprint Display option to remove non-allowable characters in Footprint name

V8.6.30 23-Oct-2013 
Build for Sw2014

V8.6.30 25-Oct-2013 
Build for Sw2014

V8.6.31 29-Oct-2013 
Added same gradient filtering for stroke text
Removed multi select in Height Editor
Added column sort to grid on Lib PanelAdded more exception trap to Place Outline Part routine

V8.6.32 31-Oct-2013 
Improvements to SolidPolygons Outlining
Added more exception trap to Place Outline Part routine

V8.6.33 08-Nov-2013 
Added suppport for notifications in the Panel (for change of Document)
Fix to bottom parts getting moved in z direction on update
Fix to Update of Keepouts to Altium
Fix to Mac Address checking
Fix to Inv Point Op for Polygon outlining
Preserved Polygon repour setting for polygon outlining

V8.6.34 11-Nov-2013 
Fix to Win 8 build issues
Further fix to Update Keepout fills

V8.6.35 13-Nov-2013 
Fix to Reatract Trace ends

V8.6.36 29-Nov-2013 
Refactored Board Outline extrusion so that Normal and Multilayer modes use identical code

V8.6.37 02-Dec-2013 
AD14 Test Build

V8.6.38 09-Dec-2013 
Test Build for Board Outline as Assembly

V8.6.39 12-Dec-2013 
Turned off config creation for multi-layer mode

V8.6.40 16-Dec-2013 
Added Grouping option to hole features

V8.6.41 21-Dec-2013 
Fix to Planes option in Multi-layer mode

V8.6.42 10-Feb-2014 
Added new outlining routines

V8.6.43 13-Feb-2014 
Test build for Ad14 version

V8.7.0 14-Feb-2014 
Test build for Ad14 version

V8.7.1 17-Feb-2014 
Removed all references to original panel

V8.7.2 27-Feb-2014 
Tree view approaching completion
Added SoildWorks View
Keepouts and Height Rules added to multi-layer mode
SolidWorks reporting functions handling Board Outline assembly

V8.7.3 28-Feb-2014 
Replaced Views radio button with toggle button

V8.7.4 05-Mar-2014 
Panel tree complete
Bi-directional functionality in place

V8.7.5 07-Mar-2014 
Expanded selected nodes

V8.7.6 11-Mar-2014 
Build for evaluating Panel

V8.7.7 21-Mar-2014 
First pass on bi-directional functions

V8.7.8 24-Mar-2014 
Added support for Planes
Added Board Outline, Cutouts, through holes to Ml Object List

V8.7.9 26-Mar-2014 
Added Multi layer support for Rigid Flex
Fix to Assembly Path setting

V8.7.10 28-Mar-2014 
PCB features support for Rigid Flex

V8.7.11 29-Mar-2014 
Fixed sketch test and font scaling settings in registry

V8.7.12 30-Mar-2014 
Turned on Large Design Mode

V8.7.13 31-Mar-2014 
Fix to naming of gap error sketch

V8.7.14 01-Apr-2014 
Simplified Top and Bottom Mode
Slight changes to Prefs
Fixes to LSM Object

V8.7.15 02-Apr-2014 
Fixes to PCB Tools

V8.7.16 04-Apr-2014 
Add Net based polygons

V8.7.17 07-Apr-2014 
Changed to polygon clipping for stroke text
Added Update Mode check box
Added Tab to Panel

V8.7.18 08-Apr-2014 
Changed to polygon clipping for stroke text
Added Update Mode check box
Added Tab to Panel

V8.7.19 08-Apr-2014 
Bug fix to linesToArcs to fix Stroke Text 4
Changes to two layer mode file naming
Fixes to Panel buttons

V8.7.20 09-Apr-2014 
Eased the tolerance for arc center checks to improve hit rate for lines to be included in arcs
Updated polygon clippper to use same post processing as Solid Polygons

V8.7.21 12-Apr-2014 
Speed improvements to sketch creation (x5)

V8.7.22 13-Apr-2014 
Tightend tolerance on polygon clipper shapes

V8.7.23 14-Apr-2014 
Speed improvements to Sketch wrting
Update from PCB working

V8.7.24 15-Apr-2014 
Added Shapes per feature edit to Prefeences
Bug fixes to Panel check box settings

V8.7.25 17-Apr-2014 
Fixed Bottom Silk Screen issue

V8.7.26 17-Apr-2014 
Removed message box that should have been debug message (ElementsToPolygon)

V8.7.27 21-Apr-2014 
Added Planes support
Multi-layer mode fully working

V8.7.28 22-Apr-2014 
Added quick start help
Multi-layer mode layer display handles planes

V8.7.29 26-Apr-2014 
Fix to Polygons

V8.7.30 28-Apr-2014 
Further work on PCB Features update

V8.7.31 01-May-2014 
PCB Features update implemented

V8.7.32 05-May-2014 
Turned off polygon sorting by net - now directly reading the polygon geometry and sending to sw

V8.7.33 05-May-2014 
Bug fix to lines to arcs.
Change to polygon handling

V8.7.34 07-May-2014 
Changes to true type font scaling - now uses actual height returned by SDK (not using windows text metric)

V8.7.35 08-May-2014 
Changed over to common Panel
Fixes to Preferences
Dealt with Panel AV's
Fix to Board Outline part name bug

V8.7.36 11-May-2014 
Updates to Rigid Flex suport

V8.7.37 13-May-2014 
Added offset to Flex PCB and parts
Added traves to flex pcb
Colour to Flex PCB

V8.7.38 13-May-2014 
Disabled links on nodes and finger icon - Panel
Fixed Holes for Rigid Flex
Remoced Pad hole list on Holes node

V8.7.39 15-May-2014 
Added zero length line (in meters) filter for Flex polygon failure
Fix to Export button dissappearing
Fix to Panel not refreshing when switching to Sw view when no doc exists

V8.7.40 17-May-2014 
Fix to bottom Silk Screen in top and bottom mode
Removed redundant toolbar buttons
Restored PCB Tools from toolbar
Fix to installer

V8.7.41 18-May-2014 
Shortened caption on Panel
Removed Status Bar on Panel

V8.7.42 21-May-2014 
Shortened caption on Panel
Removed Status Bar on Panel
Refractoring of update (but not complete)

V8.7.43 23-May-2014 
Update to SolidWorks complete and testedon Controller example
Added Planes check box to Panel

V8.7.44 27-May-2014 
Fixes to Classic orientation for update and PCB features

V8.7.45 29-May-2014 
Fix to Panel error

V8.7.46 30-May-2014 
Fix to round rect bottom layer pad bug.
Partial fix to buried via ID

V8.7.47 01-Jun-2014 
Fix to Update for Top and Bottom mode
partial fix to cylinders and Spheres

V8.7.48 05-Jun-2014 
Changed product name in installer
Fix to Polygon Naming to include net name
Changed Pad copper offset to 0.1mil
Updated Board Cut-out check

V8.7.49 05-Jun-2014 
Further updates to help
Fix to missing backslash in Assembly name

V8.7.50 09-Jun-2014 
Added Jump to Sketch element location
Updated Colour from View Configuration
Fix to some features missing being added to Feature manager folders
Fix to polygons
Fix to Update Height Rules and Keepouts from SolidWorks

V8.7.51 12-Jun-2014 
Added Check box to top PCB node (for Check All/Uncheck All)
Disabaled Solid Polygons outlining option
Added Temp PCB support for Polygon clipping
Turned off fix option for Check for outlining

V8.7.52 12-Jun-2014 
Fixed scaling issue when board outline check failed
Change to how Board Outline combo handles selected layer
Changes to Pref. defaults

V8.7.53 16-Jun-2014 
Improvement to Shape Closing
Check All/Uncheck All checkboxes on PCB node
Added hint to Update check box on Panel

V8.7.54 17-Jun-2014 
Fixes to PCB tools
Jump to Sketch ele fixed for bottom layer
Changed where Assembly is  created.
Panel fixes

V8.7.55 18-Jun-2014 
Fix to AV if update from Sw in Part

V8.7.56 19-Jun-2014 
Fixes to Bi-Di functions
Added Multi-layer Board Outline update

V8.7.57 21-Jun-2014 
Change to using Altium True Type test shapes when Use Sketch Text turned off

V8.7.58 23-Jun-2014 
Added Variant support for Rigid Flex

V8.7.60 27-Jun-2014 
Extension Test Build

V8.7.61 03-Jul-2014
Rationalised PCB tools help
Updated Extrusion Guidelines Help
Updates PCB Tools Help

V8.7.62 08-Jul-2014 
Updates to Rigid/Flex support

V8.7.63 09-Jul-2014 
Fix to Update Cut Outs

V8.7.64 10-Jul-2014 
Further fix to cut-outs
Refactored code for getting Active Doc

V8.7.65 10-Jul-2014 
Refactored Mdoc functions
Added xprobe to Polygon clipper shape closing error

V8.7.66 11-Jul-2014 
Change to SolidWorks Folder creation (much faster)

V8.7.67 15-Jul-2014 
Refactored code that obtains active doc for Update functions

V8.7.68 16-Jul-2014 
Removed saving of message panel log

V8.7.69 17-Jul-2014 
All Bidirectional functions tested
Added Board Outline from Top Face code

V8.7.70 18-Jul-2014 
Bug fix to Lines to Arcs (arc direction in rotated True Type font char)
Removed file name check in update placement

V8.7.71 23-Jul-2014 
Changed errors to the messages panel that have co-ords available to Xprobe
Fix to Polygons with no nets being ignored
Fix to Non intersecting arcs no closing

V8.7.72 24-Jul-2014 
Fix to Polygon attribute names being duplicated for Polygons with no net names (and causing error message)

V8.7.73 25-Jul-2014 
Fix to Update Pads and via holes (but not Ml mode yet)

V8.7.74 25-Jul-2014 
Turned off save sw doc for Update - after feedback from users
Fix to Xref with Configs

V8.7.75 25-Jul-2014 
Added support for sketches containing arcs for Bodies from Sw

V8.7.76 29-Jul-2014 
Fix to Use Configs check box on Sw Model Prefs
First test for Embedded step model support

V8.7.77 04-Aug-2014 
Test Build for Create assembly Shell command

V8.7.78 05-Aug-2014 
Fix to Regions that are not members of polygons not extruding

V8.7.78 05-Aug-2014 
Fix to Regions that are not members of polygons not extruding

V8.7.79 08-Aug-2014 
Step Model conversion turned on but not yet fuly functional
Changed update from PCB to act on the active Sw doc.

V8.7.80 11-Aug-2014 
Step Model conversion fully functional

V8.7.81 15-Aug-2014 
Fix to bug in Arcs in Polygon clipper arcs to shapes

V8.7.82 18-Aug-2014 
Improved handling of Arcs

V8.7.83 22-Aug-2014 
Added in-polygon check for trace layer elements
Test build for extension

V8.7.84 23-Aug-2014 
Fixes to Step model conversion

V8.7.85 27-Aug-2014 
Fix to Update Cutouts not using folder
Fix to Clear message panel not working for Update commands
Fix to default step model folder bug

V8.7.86 03-Sep-2014 
Build for release test

V8.7.87 06-Sep-2014 
Bug fixes after release test

V8.7.88 08-Sep-2014 
Added lines to arcs for Internal planes
Removed erroneous temp step model folder delete error message
Added Xprobe to Lines to arcs error messages

V8.7.89 09-Sep-2014 
Fix to cut out node on Panel
Fix to Update to Sw for pin and vias holes 

V8.7.90 09-Sep-2014 
Fix to Update Holes also added multi-layer support
Added "using board shape"  to no objects on Bord Outline layer message
Fix to Failed to empty out temp folder false error message

V8.7.91 10-Sep-2014 
Fix to Pcb Tools Clear Part Attribute
Fix to Pcb Tools Clear all part attributes

V8.7.92 11-Sep-2014 
Fix to Change doc not updating panel afrer using F5
Refactoring of Holes
Fixes to Update holes

V8.7.93 11-Sep-2014 
Fix to Hole attribute bug from refactoring

V8.7.94 16-Sep-2014 
Fix to Panel misfunctioning when document is closed

V8.7.95 23-Sep-2014 
Fix to Polygon clipper leaving small gaps that shape closer was not closing.
Separated tear drop shapes from traces

V8.7.96 25-Sep-2014 
Extension install test with demo files removed

V8.7.97 22-Oct-2014 
Build to work around EPDM issue

V8.7.98 31-Oct-2014 
Build to update for Stroke arc bug fixes

V8.7.99 12-Nov-2014 
Fix to Re-use PCB Part not working for top and bottom mode
Added Re-use support for Step Model Parts
Removed un-needed entries to Message Panel log
Added server version to Message Panel log
Added saving of message panel log when clear message panel checked

V8.7.100 15-Dec-2014 
Ad15 build added
Introduced using ROT iterator to connect to running instance of SolidWorks
Improved Rigid/Flex support

V8.7.100 15-Dec-2014 
Ad15 build added
Introduced using ROT iterator to connect to running instance of SolidWorks
Improved Rigid/Flex support

V8.7.101 18-Dec-2014 
Improved reporting of connection to SolidWorks

V8.7.102 23-Jan-2015 
Interim build for Sw2014 user

V8.7.103 02-Feb-2015 
Further fixes to Step model conversion

V8.7.104 05-Feb-2015 
Fix to handle case of first step model comp is on bottom
Fixed for sketch text for copper layersSupported more test cases for Step Model conversion

V8.7.105 06-Feb-2015 
Fix to TTFonts and Sketch text for copper layers
Supported more test cases for Step Model conversion

V8.7.106 10-Feb-2015 
Fix to time elapsed reporting
Fix to assembly naming when filename contains dots
Fix to using Step Model folder
Added code to update embedded step model (but is not switched on).

V8.7.107 11-Feb-2015 
Fix to Layer Pair Stack up issues for 2 -layer PCB's
Fix to reporting of board thickness in Stack up report in message panel

V8.7.108 17-Feb-2015 
Re-factored Cut-outs from PCB code
Fixes to compare Board Outline, Cut-outs and mounting holes

V8.7.109 20-Feb-2015 
Fix to bottom layer parts floating slightly off the PCB
Change to Connect to Sw to Running or New

V8.7.110 24-Feb-2015 
Temp fix to Compare Cut-outs
Fix to Update components  and compare components (no longer prompts to browse)

V8.7.111 03-Mar-2015 
Update to compare holes
Handled Default Template prompt
Handled Auto part and step model folders for Assembly folder

V8.7.112 04-Mar-2015 
Fix to Step Model Conversion to add tolerance to Axis rotations

V8.7.113 10-Mar-2015 
Add more cases for Step Model Conversion

V8.7.114 19-Mar-2015 
Further cases added for Step Models

V8.7.115 27-Mar-2015 
Fix to index out of bounds error for PCBs with no bottom layer

V8.7.116 31-Mar-2015 
Fix to step model case where first footprint is on bottom layer

V8.7.117 10-Apr-2015 
Special Alt Licensing build

V8.7.118 14-Apr-2015 
Fix to Cut Extrudes failing to extrude top boss for some PCB's

V8.7.119 20-Apr-2015 
Added ControllerWithStepModels.pcbdoc example

V8.7.120 30-Apr-2015 
Added workaround to update the SolderMask layer when board shape is updated.

V8.7.121 04-May-2015 
Restored Pad Offsets (lost in transition to V8.7)

V8.7.122 11-May-2015 
Removed memory leak in Rigid Flex Silk screen code.

V8.7.123 12-May-2015 
Fix to part spatial filterfor Rigid Flex

V8.7.124 13-May-2015 
Fix to Rigid/Flex bottom placed part bug
Fix to Compare cut-outs index out of bounds error when there are no cut-outs

V8.7.125 18-May-2015 
Fix to rigid/flex lib part placement

V8.7.126 18-May-2015 
Added Rigid/Flex board to Part Usage report

V8.7.127 22-May-2015 
Fix to plane offset for 0,0,0 orientation Step models

V8.7.128 25-May-2015 
Fix to plating colour for Colors from Altium option

V8.7.129 26-May-2015 
Fix to handling of holes attributes
Fix to display of cut extrude
Fix to Compare for Cut Outs

V8.7.130 26-May-2015 
Updates to message panel report
Fix to Layer stack manager report
Fix to Compare cut-outs

V8.7.131 29-May-2015 
Improved method of reading Sw Documents from Altium Project manager
Fixes to Use Solid Body

V8.7.132 01-Jun-2015 
Additional Step Model orientations: 
180,0,270
0.180, 0
90,90,0
Fix to 0,0,0 for when z origin is > 0

V8.7.133 02-Jun-2015 
Corrections to 0,0,0 step Model orientations

V8.7.134 02-Jul-2015 
Fix to scaling error for z coord of bottom parts

V8.7.135 07-Jul-2015 
Fix to Interface Not Supported message when Rigid Flex PCB has cut outs

V8.7.136 10-Jul-2015 
Improved Rigid Flex layer handling
Fix to LSM report

V8.7.136 20-Jul-2015 
Improved Rigid Flex layer handling
Fix to LSM report

V8.7.137 22-Jul-2015 
Further fix the Autoparts for both Rigid/Flex and normal

V8.7.138 30-Jul-2015 
Test Build for Solder Mask feature

V8.7.139 04-Aug-2015 
Added Solder Mask feature
Refactored PCB features code
Fixes to Update for Height Rules and Keepouts

V8.7.140 07-Aug-2015 
Added Compare to Update Keepouts and Height Rules

V8.7.141 07-Aug-2015 
Fix to Panel check box settings for Upade from Sw

V8.7.142 08-Aug-2015 
Svn Tag Test

V8.7.143 08-Aug-2015 
Improved Sw Doc handling for Update

V8.7.144 10-Aug-2015 
Updates to Message Panel status report

V8.7.145 11-Aug-2015 
Added message panel entry for when Update Invoked with no options checked

V8.7.146 12-Aug-2015 
Fix to Internal Planes
Fix to Solder Mask for Rounded Rectangle pads
Fix to Via Solder Mask expansion when -ve
Fixed Merge for Polygons

V8.7.147 13-Aug-2015 
Special build with updated toolbar and no panel
Added Export options to Prefs

V8.7.148 17-Aug-2015 
Added initialisation test command invoked via process menu

V8.7.149 18-Aug-2015 
Changes to avoid AVs if no license available

V8.7.150 20-Aug-2015 
Added "hidden" option to raise pin and via pads

V8.7.151 26-Aug-2015 
Improved error reporting when no SolidWorks templates assigned

V8.7.152 31-Aug-2015 
Bug fix - Bottom Soldermask AV
Bug fix - Stroke text

V8.7.153 01-Sep-2015 
Added ignore for keepouts
Fix to add circular keepouts the tree view node
Added ignore for zero width lines and arcs before input to polygon clipper
Added message panel xprobe entry for ignored lines and arcs

V8.7.154 09-Sep-2015 
Fix to IPCB_LayerStack_V7.DielectricTop AV

V8.7.155 10-Sep-2015 
Bug fix to Update from PCB to Fix AV

V8.7.156 11-Sep-2015 
Bug fix to avoid traces being missed by zero width filter

V8.7.157 23-Sep-2015 
Built to test Sim Ready feature conceptV8.7.158 09-Oct-2015 
Added support for plating of Slotted and Square holes
Fixes to Solder Mask expansion
Turned off Board Outline assembly creation for top and bottom mode

V8.7.159 30-Oct-2015 
Fix to Doc names in project
Changed compare functions to use polygon clipper diff option

V8.7.160 10-Nov-2015 
Fix to Doc names in project
Changed compare functions to use polygon clipper diff option

V8.7.161 11-Nov-2015 
Fix to index out of bounds error on install build

V8.7.162 12-Nov-2015 
Modified Connnect to Sw code to do show message if connection fails

V8.7.163 12-Nov-2015 
Further changes to connection to SolidWorks code

V8.8.0 20-Nov-2015 
AD16/Sw2016 Test Build

V8.8.1 01-Dec-2015 
Sw2016 release

V8.8.2 01-Dec-2015 
Refactored calls the Clipper and PcbData classes

V8.8.2 01-Dec-2015 
Refactored calls the Clipper and PcbData classes

V8.8.3 04-Dec-2015 
Added Sw Connection test to UtilityCommand Process

V8.8.4 04-Dec-2015 
Further changes to Sw Connection Test

V8.8.6 17-Dec-2015 
Fix to Doc Names from project bug

V8.8.7 17-Dec-2015 
Special build for EPDM users

V8.8.8 17-Dec-2015 
Reverted to earlier Shape Manager

V8.8.9 18-Dec-2015 
RE-build to fix fiducial issue

V8.8.10 28-Dec-2015 
Special build with custom logging

V8.8.11 29-Dec-2015 
Updated PadToList to use Altium SDK V7 Layers

V8.8.12 30-Dec-2015 
Fix to Pad selection test

V8.8.13 30-Dec-2015 
Build for free pad missing test

V8.8.14 31-Dec-2015 
Refactored element handling in ObjectToObjectList

V8.8.15 04-Jan-2016 
More logging for circular free pad issue

V8.8.16 05-Jan-2016 
Added test for no elements for Combine Conductors

V8.8.17 05-Jan-2016 
Reverted to older polygon clipping

V8.8.18 05-Jan-2016 
Changed layer ref of GetPadData to eMultiLayer

V8.8.19 05-Jan-2016 
Fixed potential bug in PadDrilledAway test

V8.8.20 06-Jan-2016 
Release build with DrilledAwayTest bug fixed

V8.8.21 13-Jan-2016 
Build test Step Model conversion re-design

V8.8.22 11-Feb-2016 
Fix the layer stack offset calculation bug

V8.8.23 18-Feb-2016 
Fixes to Use Solid Body
Added Cross probing for Pcb Tools Assign Part Data

V8.8.24 24-Feb-2016 
Fix to reuse auto part for step models
Fix to re-instate part outlines from Layer or silk screen

V8.8.25 26-Feb-2016 
Fix to allow step model conversion for parts containing non allowable filename characters
Fix to re-use auto part for step model conversion
Re-instated using silk screen as default part outline

V8.8.26 08-Mar-2016 
Build to fix bottom place step part issue
Fix to assigning colour to Solder Mask

V8.8.27 17-Mar-2016 
Build for Ad14

V8.8.28 18-Mar-2016 
Added support for Solder Mask polygons

V8.8.29 01-Apr-2016 
Fix to PCB Tools Assign Mounting Hole disconnecting from Sw

V8.8.30 05-Apr-2016 
Fix to Update Solder Mask

V8.8.31 11-Apr-2016 
Added support for solder mask pullback

V8.8.32 26-Apr-2016 
Added Solder Mask Page to Prefs
Added support for Castellated holes
Added Color From Altium button in prefs
Fix to panel - no holes check box if only slotted or square holes
Fix to circles with width not displaying correct radius
Added support for rectangular holes (previously, only square supported)

V8.8.33 28-Apr-2016 
Fix to Cut-outs to handle Region.IsSimple being removed from SDK
Added Rigid and Flex keyworks to IsCutout test

V8.8.34 28-Apr-2016 
Fix to Keepout and Height Panel node bug
Fixes to Update Keepouts and Height Rules

V8.8.35 28-Apr-2016 
Fix to PCB Tools part - Assign Mtg Holes
Tested Build

V8.8.36 29-Apr-2016 
Fix to Layer Pair stack up

V8.8.37 03-May-2016 
Fix to bug for plating inserts for slotted holes

V8.8.38 11-May-2016 
Added Configuration to Part Selection by Parameter

V8.8.39 16-May-2016
Added Configuration option for Part Selection by footprint

V8.8.40 17-May-2016 
Fix to bug in Arc to shape for fat arcs
Stopped List part usage checking SolidWorks assembly

V8.8.41 17-May-2016 
Fix to add Prefs change missed due to version control error

V8.8.42 23-May-2016 
Improved logging for Part Names from Project
Added Save project to Part Names from project
Changed SDK version fro Sw2014 project

V8.8.43 24-May-2016 
Re-added Configs for Footprint Part Selection (caused by version control error)

V8.8.44 11-Jul-2016 
Build for EPDM issue

V8.8.45 27-Jul-2016 
Build for Sw2016 for Ad14

V8.8.46 28-Jul-2016 
Fix to 2 layer/multi-layer bug
Improved message when Re-use board Outline checked and Board Only checked
Updates to Help

V8.8.47 01-Aug-2016 
Removed Silk Screen text from Exclude Elements Outside Board Area due to issues with Sketch Text

V8.8.48 11-Aug-2016 
Added option to set Solder Mask Appearance to Thick Blue Glass
Added option to set Silk Screen to Brilliant white
Added Multi-layer to Rigid Flex
Fixes to Rigid Flex Layering Offsets
Fixes to Internal Planes

V8.8.49 16-Aug-2016 
Change to layer stack tool to handle Flex on botton layer
Added Solder mask for Rigid Flex
Added Multi-layer for Rigid Flex

V8.8.50 17-Aug-2016 
Added Layer Stack topic to Help
Added exception trap to Apearance code to avoid possibilty of Integer overload error
Release Build

V8.8.51 23-Aug-2016 
Fixed change layer for update
Refactored Udate Sw from AD

V8.8.52 27-Sep-2016 
Fix to placement of Bottom Placed Rigid/Flex Parts
Added Keepouts and height rules to Rigid/Flex spatial filter

V8.8.53 29-Sep-2016 
Build to fix board thickness issue for Rigid/Flex

V8.8.54 24-Oct-2016 
Fix to handle rigid/flex PCBs where last flex stack layer is the bottom layer

V8.8.55 07-Nov-2016 
Fix to no solder mask on top causing AV.

V8.9.1 06-Dec-2016 
Ad17 Release
Redesign of Rigid/Flex Layer Stack handling

V8.9.2 09-Dec-2016 
Further chnages to layer stack bottom layer handling

V8.9.3 14-Dec-2016 
Fix to Gap Error layer bug

V8.9.4 11-Jan-2017 
Build for Ad17 and Sw2015
PCB Lib Panel in progress

V8.9.5 12-Jan-2017 
Special build to fix .ins error for AD17 Sw2015 in prvious build

V8.9.6 13-Jan-2017 
Build to test PCB Lib Panel Export functions

V8.9.7 19-Jan-2017 
PCB Lib Panel Update Working

V8.9.8 23-Jan-2017 
Added handling of Regions with Voids

V8.9.9 23-Jan-2017 
Fix to bug in Step File folder name building

V8.9.10 03-Feb-2017 
PcbLib Panel working

V8.9.11 10-Feb-2017 
Update to Exclude Elements Outside Board Area for Region with Voids graphics

V8.9.12 15-Feb-2017 
Disabled Board Outline update for Rigid/Flex mode